import { BpSdkStore, removeQuestionPool } from '@boldpenguin/sdk-redux';
import { IDeleteQuestionPoolItemContainerComponent, IPartnerEngineConfig } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkDeleteQuestionPoolItemContainer implements IDeleteQuestionPoolItemContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    removeQuestionPool: typeof removeQuestionPool;
    /**
     * Display text
     */
    text: string;
    answerPoolId: string;
    applicationId: string;
    config: IPartnerEngineConfig;
    useExternal: boolean;
    el: HTMLBpSdkDeleteQuestionPoolItemContainerElement;
    resetState(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    mapStateToProps: (state: BpSdkStore) => {
        applicationId: string;
        config: IPartnerEngineConfig;
    };
    disconnectedCallback(): void;
    componentWillLoad(): void;
    handleRemoveItem: () => void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
